childprocess.test.h File Reference
`#include <wibble/sys/childprocess.h>`
`#include <wibble/sys/process.h>`
`#include <wibble/sys/exec.h>`
`#include <cstdlib>`
`#include <unistd.h>`
`#include <iostream>`
`#include <wibble/test.h>`
Include dependency graph for childprocess.test.h:

Go to the source code of this file.

## Classes

class | EndlessChild
class | TestChild
struct | TestChildprocess

## Functions

std::string | suckFd (int fd)

## Function Documentation

std::string suckFd | ( | int | fd | ) |

Referenced by TestChildprocess::inout(), TestChildprocess::output(), TestChildprocess::redirect(), and TestChildprocess::shellCommand().